"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const child_process_1 = require("child_process");
const cli_ux_1 = require("cli-ux");
const fs = require("fs");
const inquirer = require("inquirer");
const path = require("path");
const sinon = require("sinon");
const util = require("util");
const originCwd = process.cwd();
const { resolve } = path;
const asyncExec = util.promisify(child_process_1.exec);
const sandbox = sinon.createSandbox();
const container = 'nupthale/rdc-vue-starter';
const project = 'demo.project';
const cmdDir = resolve('./src/commands');
const projectDir = resolve('./test/run/', project);
let CmdCreate;
describe('rde create', () => {
    beforeEach(async () => {
        await asyncExec('rm -rf ./test/run && mkdir ./test/run');
        process.chdir('test/run');
        const PromptStub = async (question) => {
            if (question.includes('name of project')) {
                return project;
            }
            if (question.includes('version of container')) {
                return 'latest';
            }
            return container;
        };
        sandbox.stub(inquirer, 'prompt').resolves({ framework: 'vue', type: 'application' });
        sandbox.stub(cli_ux_1.default, 'prompt').get(() => PromptStub);
        CmdCreate = require(resolve(cmdDir, 'create.ts')).default;
        // await CmdCreate.run(['--from', 'nupthale/rdc-vue-starter:latest'])
        await CmdCreate.run([]);
    });
    afterEach(async () => {
        process.chdir(originCwd);
        sandbox.restore();
    });
    it('should create an app dir', () => {
        chai_1.expect(fs.existsSync(resolve(projectDir, 'app'))).to.be.true;
    });
});
