"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const child_process_1 = require("child_process");
const inquirer = require("inquirer");
const path = require("path");
const sinon = require("sinon");
const util = require("util");
const originCwd = process.cwd();
const { resolve } = path;
const asyncExec = util.promisify(child_process_1.exec);
const sandbox = sinon.createSandbox();
const rdtName = 'test-rdt';
const cmdDir = resolve('./src/commands');
let CmdCreate = require(resolve(cmdDir, './template/create.ts')).default;
let CmdDocsBuild;
describe('docs:build', () => {
    before(async () => {
        await asyncExec('rm -rf ./test/run && mkdir ./test/run');
        process.chdir('./test/run');
        sandbox.stub(inquirer, 'prompt').resolves({ framework: 'vue', byExtend: false });
        await CmdCreate.run([rdtName]);
        CmdDocsBuild = require(resolve(cmdDir, './docs/build.ts')).default;
        await CmdDocsBuild.run([]);
    });
    after(() => {
        process.chdir(originCwd);
        sandbox.restore();
    });
    it('test', () => {
        chai_1.expect(true).to.be.true;
    });
});
