"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const cli_ux_1 = require("cli-ux");
const inquirer = require("inquirer");
const path = require("path");
const sinon = require("sinon");
const util = require("util");
const asyncExec = util.promisify(child_process_1.exec);
const sandbox = sinon.createSandbox();
const { resolve } = path;
const originCwd = process.cwd();
const rdtName = '@rde-pro/vue-starter-rdt';
const projectName = 'demo.project';
const cmdDir = resolve('./src/commands');
const projectDir = resolve('./test/run/', projectName);
describe('rde run', () => {
    before(async () => {
        await asyncExec('rm -rf ./test/run && mkdir ./test/run');
        process.chdir('test/run');
        // step1: rde create project
        const PromptStub = async () => rdtName;
        sandbox.stub(inquirer, 'prompt').resolves({ framework: 'vue' });
        sandbox.stub(cli_ux_1.default, 'prompt').get(() => PromptStub);
        const CmdCreate = require(resolve(cmdDir, 'create')).default;
        await CmdCreate.run([projectName]);
        // step2: cd project && rde serve
        process.chdir(projectDir);
        const CmdServe = require(resolve(cmdDir, 'run')).default;
        await CmdServe.run(['build']);
    });
    after(async () => {
        process.chdir(originCwd);
        await asyncExec('rm -rf ./test/run');
        sandbox.restore();
    });
    describe('work before run', () => {
        it('should success if rde.app.js does provide required render prop', async () => {
        });
    });
});
