"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const child_process_1 = require("child_process");
const fs = require("fs");
const inquirer = require("inquirer");
const path = require("path");
const sinon = require("sinon");
const util = require("util");
const asyncExec = util.promisify(child_process_1.exec);
const sandbox = sinon.createSandbox();
const rdtName = 'test-rdt';
let CmdServe;
const originCwd = process.cwd();
describe('rde template:serve', () => {
    before(async () => {
        await asyncExec('rm -rf ./test/run && mkdir ./test/run');
        process.chdir('test/run');
        sandbox.stub(inquirer, 'prompt').resolves({ framework: 'vue', byExtend: false });
        const CmdCreate = require('../../../src/commands/template/create').default;
        await CmdCreate.run([rdtName]);
        CmdServe = require('../../../src/commands/template/serve').default;
        await CmdServe.run([]);
    });
    after(async () => {
        process.chdir(originCwd);
        sandbox.restore();
    });
    it('should run a template project', async () => {
        const runtimeDir = path.resolve(originCwd, `test/run/${rdtName}/.rde`);
        chai_1.assert.isOk(fs.existsSync(runtimeDir), 'runtimDir is existed');
    });
});
