"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const path = require("path");
const sinon = require("sinon");
const util = require("util");
const originCwd = process.cwd();
const { resolve } = path;
const asyncExec = util.promisify(child_process_1.exec);
const sandbox = sinon.createSandbox();
const container = 'rdebase/rdc-vue-starter';
const project = 'demo.project';
const cmdDir = resolve('./src/commands');
const projectDir = resolve('./test/run/', project);
let CmdCreate;
describe('create', () => {
    beforeEach(async () => {
        await asyncExec('rm -rf ./test/.tmp && mkdir ./test/.tmp');
        process.chdir('test/.tmp');
        const PromptStub = async (question) => {
            if (question.includes('name of project')) {
                return project;
            }
            if (question.includes('version of container')) {
                return 'latest';
            }
            return container;
        };
        sandbox.stub(inquirer, 'prompt').resolves({ framework: 'vue', type: 'application' });
        sandbox.stub(cli, 'prompt').get(() => PromptStub);
        CmdCreate = require(resolve(cmdDir, 'create.ts')).default;
        // await CmdCreate.run(['--from', 'nupthale/rdc-vue-starter:latest'])
        await CmdCreate.run([]);
    });
    afterEach(async () => {
        process.chdir(originCwd);
        sandbox.restore();
    });
    describe('application', () => { });
    describe('container', () => { });
});
