"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const browserSync = require("browser-sync");
const path = require("path");
const docs_1 = require("../../base/docs");
const conf_1 = require("../../services/conf");
const watcher_1 = require("../../services/watcher");
const { join } = path;
class DocsServe extends docs_1.default {
    async run() {
        this.watchFiles();
        browserSync({
            server: conf_1.default.docsPagesDir,
            ui: {
                port: 4040,
            },
            watch: true,
            open: false,
        });
    }
    watchFiles() {
        const mappings = [
            {
                from: conf_1.default.docsDir,
                to: join('..', conf_1.default.docsPagesDir),
                options: this.options,
            },
        ];
        new watcher_1.default(mappings).start();
    }
}
DocsServe.flags = Object.assign({}, docs_1.default.flags);
DocsServe.examples = [
    '$ rde docs:serve',
];
exports.default = DocsServe;
