"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const child_process_1 = require("child_process");
const fs = require("fs");
const path = require("path");
const sinon = require("sinon");
const util = require("util");
const asyncExec = util.promisify(child_process_1.exec);
const sandbox = sinon.createSandbox();
const { resolve } = path;
const originCwd = process.cwd();
const rdtName = '@rde-pro/vue-starter-rdt';
const projectName = 'demo.project';
const cmdDir = resolve('./src/commands');
const projectDir = resolve('./test/run/', projectName);
describe('rde serve', () => {
    before(async () => {
        await asyncExec('rm -rf ./test/run && mkdir ./test/run');
        process.chdir('test/run');
        // step2: cd project && rde serve
        const CmdServe = require(resolve(cmdDir, 'serve')).default;
        await CmdServe.run([]);
    });
    after(async () => {
        process.chdir(originCwd);
        sandbox.restore();
    });
    it('should success if rde.app.js does provide required render prop', async () => {
        const { template, suites } = require(resolve(projectDir, 'rde.app.js'));
        chai_1.expect(template.name).to.equal(`${rdtName}`);
        chai_1.expect(suites).to.be.an.instanceOf(Array);
        chai_1.assert.isOk(fs.existsSync(resolve(projectDir, '.rde')), 'runtimeDir is existed');
    });
});
