"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const sinon = require("sinon");
const docker_1 = require("../../src/services/docker");
const fake = sinon.fake();
describe('docker', () => {
    it('should run success if docker & docker-compose is installed, and docker is running', async () => {
        try {
            await docker_1.default.checkEnv();
            fake();
            chai_1.expect(fake.callCount).equal(1);
        }
        catch (e) {
            if (e) { }
        }
    });
    it('should be failed if docker or docker-compose is not installed, or docker is not running', async () => {
        try {
            await docker_1.default.checkEnv();
            fake();
        }
        catch (e) {
            if (e) { }
            chai_1.expect(fake.callCount).equal(0);
        }
    });
    it('should return true if image exists locally', async () => {
        try {
            const result = await docker_1.default.imageExist('node:10');
            chai_1.expect(result).equal(true);
        }
        catch (e) {
            if (e) { }
        }
    });
    it('should return false if image does not exist locally', async () => {
        try {
            const result = await docker_1.default.imageExist('node:1');
            chai_1.expect(result).equal(false);
        }
        catch (e) {
            if (e) { }
        }
    });
});
