"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const microMatch = require("micromatch");
const path = require("path");
const util_1 = require("../util");
const conf_1 = require("./conf");
const { resolve } = path;
const { ensureRequire } = util_1.default;
exports.default = {
    getLintFiles(filenames) {
        const { cwd, isApp, rdcConfName, localCacheDir, } = conf_1.default;
        const rdcPath = isApp ? resolve(localCacheDir, rdcConfName) : resolve(cwd, rdcConfName);
        const rdcConf = ensureRequire(rdcPath);
        const lintFiles = rdcConf.lint && rdcConf.lint.files || [];
        if (!filenames) {
            return lintFiles;
        }
        return microMatch(filenames, lintFiles);
    }
};
