"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const fs = require("fs");
const path = require("path");
const markdown_1 = require("../../src/services/markdown");
describe('markdown', () => {
    it('should return h1 with a class rde-h1', () => {
        const str = markdown_1.default.render('# header');
        chai_1.expect(str).to.equal('<h1 class="rde-h1">header</h1>\n');
    });
    it('should return p with a class rde-p', () => {
        const str = markdown_1.default.render('this is a paragraph');
        chai_1.expect(str).to.equal('<p class="rde-p">this is a paragraph</p>\n');
    });
    it('should return a with a class rde-a', () => {
        const str = markdown_1.default.render('[this is a paragraph](http://www.kaola.com)');
        chai_1.expect(str).to.equal('<p class="rde-p"><a class="rde-a" href="http://www.kaola.com">this is a paragraph</a></p>\n');
    });
    it('should test', () => {
        let md = '```component_vue\n';
        md += `<template>
        <el-radio v-model="radio" label="1">备选项</el-radio>
        <el-radio v-model="radio" label="2">备选项</el-radio>
      </template>

      <script>
        export default {
          data () {
            return {
              radio: '1'
            };
          }
        }
      </script>
    `;
        md += '```';
        const str = markdown_1.default.render(md);
        chai_1.expect(str).to.equal('abc');
    });
    it('should test api', () => {
        let md = fs.readFileSync(path.resolve(__dirname, './test.md'), 'utf-8');
        const str = markdown_1.default.render(md);
        chai_1.expect(str).to.equal('abc');
    });
});
