"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const child_process_1 = require("child_process");
const path = require("path");
const util = require("util");
const render_1 = require("../../src/services/render");
const asyncExec = util.promisify(child_process_1.exec);
describe('render', () => {
    describe('renderTo', () => {
        before(async () => {
            await asyncExec('cd test && mkdir run');
        });
        after(async () => {
            await asyncExec('rm -rf test/run');
        });
        it('should render rde.app.mustache to rde.app.js', async () => {
            await render_1.default.renderTo('rde.app', {
                templateName: 'testName',
            }, './test/run/rde.app.js');
            const conf = require(path.resolve(process.cwd(), './test/run/rde.app.js'));
            chai_1.expect(conf.template).to.equal('testName');
        });
        it('should render all files inside a dir to dest', async () => {
            await render_1.default.renderDir('src/mustaches', {
                templateName: 'allDir',
            }, ['.mustache'], './test/run');
        });
    });
});
