"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const child_process_1 = require("child_process");
const util = require("util");
const util_1 = require("../src/util");
const asyncExec = util.promisify(child_process_1.exec);
describe('utils', () => {
    describe('isEmpty', () => {
        before(async () => {
            await asyncExec('cd test && mkdir tmp');
        });
        after(async () => {
            await asyncExec('rm -rf test/tmp');
        });
        it('should return true with an empty folder', () => {
            const result = util_1.default.isEmptyDir('./test/tmp');
            chai_1.expect(result).to.be.true;
        });
        it('should return false when folder is not empty', () => {
            const result = util_1.default.isEmptyDir('./test');
            chai_1.expect(result).to.be.false;
        });
    });
});
